import { world, MinecraftEntityTypes, BlockLocation } from "mojang-minecraft";

// Function to replace blocks after explosion
function replaceWithClay(entity) {
    const explosionLocation = entity.location;
    const x = Math.floor(explosionLocation.x);
    const y = Math.floor(explosionLocation.y);
    const z = Math.floor(explosionLocation.z);

    // Replace a 4x1 area with clay blocks
    for (let i = 0; i < 4; i++) {
        const blockLocation = new BlockLocation(x + i, y, z);
        world.getDimension("overworld").getBlock(blockLocation).setType("minecraft:clay");
    }
}

// Event listener for entity explosion
world.events.entityExplode.subscribe((eventData) => {
    const entity = eventData.entity;

    // Check if the entity is a "clayper"
    if (entity.id === "cly:clayper") {
        replaceWithClay(entity);
    }
});
